#include <iostream>

using namespace std;

int main()
{
    int n, k, x;
    cin >> n;
    cin >> k;
    cin >> x;
    int l = 0;
    int c = 0;
    int r = n-1;
    while(l <= k){
        l += r;
        r -= 1;
        c++;
    }
    for(int i = 0; i < c; i++){
        cout << (c-i) * x << " ";
    }
    for(int i = 0; i < l-k; i++){
        cout << 1 << " ";
    }
    for(int i = 0; i < n+k-l-c; i++){
        cout << 0 << " ";
    }
    return 0;
}